void drawpixels(float *p, uint8_t rows, uint8_t cols, uint8_t boxWidth, uint8_t boxHeight, boolean showVal) {
  int colorTemp;
  for (int y=0; y<rows; y++) {
    for (int x=0; x<cols; x++) {
      float val = get_point(p, rows, cols, x, y);
      if(val >= MAXTEMP) colorTemp = MAXTEMP;
      else if(val <= MINTEMP) colorTemp = MINTEMP;
      else colorTemp = val;
     
      uint8_t colorIndex = map(colorTemp, MINTEMP, MAXTEMP, 0, 255);
      colorIndex = constrain(colorIndex, 0, 255);
      //draw the pixels!
      uint16_t color;
      color = val * 2;
      display.fillRect(boxWidth * x, boxHeight * y, boxWidth, boxHeight, camColors[colorIndex]);
       
      if (showVal) {
        display.setCursor(boxWidth * y + boxWidth/2 - 12, 40 + boxHeight * x + boxHeight/2 - 4);
        display.setTextColor(TFT_WHITE);  display.setTextSize(2);
        display.print(val,1);
      }
    }
  }

 
  display.setTextSize(2);
  display.setTextColor(TFT_WHITE, TFT_BLACK);
  display.setCursor(rows*boxWidth,0);
  display.print(" Target T");
  display.setCursor(135,20);
  display.print(HighTemp*1.16);
  display.setCursor(220,20);
  display.print("C");


  float t = bme.readTemperature();
  display.setTextSize(2);
  display.setTextColor(TFT_WHITE, TFT_BLACK); 
  
  //display.setCursor(rows*(boxWidth),45);
   display.setCursor(rows*(boxWidth),85);
  display.print(" Room T");
  //display.setCursor(135,65);
  display.setCursor(135,103);
  display.print(t);
  //display.setCursor(230,65);
  display.setCursor(220,103);
  display.print("C");
  
  }
